> For the complete documentation index, see [llms.txt](https://qr-cake-1.gitbook.io/bhb-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://qr-cake-1.gitbook.io/bhb-docs/api-reference/qr-cake-api/permissions-get-permission.md).

# Permissions (GET /permission)

Returns the permissions granted to the API key.

### Request

**Path:** `/product/{productId}`

* **Method:** `GET`
* **URL:** `https://api.qrcake.com/v1/product/permission`
* **Headers:**
  * `Authorization: Bearer <API Key>`
  * `Accept: application/json`

### Response

#### 200 OK

Returns the user/account permissions.

<details>

<summary>Example 200 response (template)</summary>

```json
{
    "success": true,
    "result": {
        "analytics": true,
        "productLimit": 100, // maximum number of QR Codes account is allowed
        "tier": "subscriber",
        "productTotal": 3,
        "productActiveLimit": 100, // maximum number of active QR Codes account is allowed
        "productActiveTotal": 3, // current number of active QR Codes account has
    }
}
```

</details>

#### 401 Unauthorized

```json
{
  "message": {}
}
```

{% hint style="info" %}
Check Swagger for the authoritative permission model and response shape.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://qr-cake-1.gitbook.io/bhb-docs/api-reference/qr-cake-api/permissions-get-permission.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
